package com.lightinit.hsdatashow.service.admin;

import com.lightinit.hsdatashow.entity.GdpOccupationRatio;
import com.lightinit.hsdatashow.model.ResultState;
import com.lightinit.hsdatashow.model.admin.*;

import java.util.List;

public interface IEconomicDevelopmentService {
    PerCapitaGdpListModel getGDP();

    PerCapitaGdpListModel getPerCapitaGdp();

    ResultState getGdpOccupationRatio();

    PerCapitaGdpListModel getLaborProduction();

    PerCapitaGdpListModel getUrbanization();

    GdpOccupationRatioModel getGdpOccupationRatio2();

    ResultState getDistrictCounty();

    GdpOccupationRatioModel getGDPTotal();
}
